package cn.com.victorysoft.business.cyyzs.service;

import cn.com.victorysoft.business.cyyzs.dao.StaticDataDao;
import cn.com.victorysoft.business.cyyzs.entity.StaticData;
import cn.com.victorysoft.business.cyyzs.param.StaticDataParam;
import cn.com.victorysoft.business.util.PageUtils;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Service
public class StaticDataService {

    @Resource
    private StaticDataDao staticDataDao;

    /**
     * 查询静态数据
     */
    public PageInfo<StaticData> selectList(StaticDataParam param) {
        PageUtils.startPage(param);
        return new PageInfo<>(staticDataDao.selectList(param));
    }

    public int update(StaticData param) {
        return staticDataDao.update(param);
    }
}
